# Get all routes

Get the list of routes. Note that routes are defined globally, per account, not per domain.

Endpoint: GET /v3/routes
Version: 3.0.0
Security: basicAuth

## Query parameters:

  - `skip` (string)
    Number of records to skip. Defaults to 0.

  - `limit` (string)
    Maximum number of records to return. Defaults to 100.

## Response 200 fields (application/json):

  - `total_count` (integer)
    Total number of routes in the account

  - `items` (array)
    List of routes

  - `items.id` (string)
    Unique identifier of the route

  - `items.priority` (integer)
    Smaller number indicates higher priority. Higher priority routes are handled first.

  - `items.description` (string)
    An arbitrary string.

  - `items.expression` (string)
    The filtering rule.

  - `items.actions` (array)
    These actions are executed when the expression evaluates to True.

  - `items.created_at` (string)
    Timestamp indicating when the route was created in RFC1123 format

## Response 400 fields (application/json):

  - `message` (string)
    A string describing the error


